Get Standard Test Version Detail

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/tests/{testId}/version/{versionId}

Returns information about a specific version of a specified standard test

Path parameters
projectId
integer (int32) Required

Project containing the test

testId
integer (int32) Required

Standard test to retrieve

versionId
integer (int32) Required

Version number of the test

Responses
200

OK

Expand All
OneOf
Configuration.Api.Models.v1.StandardTestDetailV1
object (Configuration.Api.Models.v1.StandardTestDetailV1)
testDataSet
object (Common.StandardTestDataSetV1)
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSourceId
integer (int32) | null
configurationJson
string | null
objectText
string | null
objectId
integer (int32) | null
metaLinks
Array of object (Common.DataSetMetaLink)
object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
controlDataSet
object (Common.StandardTestDataSetV1)
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSourceId
integer (int32) | null
configurationJson
string | null
objectText
string | null
objectId
integer (int32) | null
metaLinks
Array of object (Common.DataSetMetaLink)
object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
Configuration.Api.Models.v1.StandardTestDetailV2
object (Configuration.Api.Models.v1.StandardTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.StandardTestDataSetV2TestScript
object (Configuration.Api.Models.v1.StandardTestDataSetV2TestScript)
dataSourceId
integer (int32) | null

The data set's data source ID

columns
Array of object (Common.DataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32)
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

scriptText
string | null

The data set's script text

metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.StandardTestDataSetV2TestMacro
object (Configuration.Api.Models.v1.StandardTestDataSetV2TestMacro)
dataSourceId
integer (int32) | null

The data set's data source ID

macroReferenceKey
string | null

The data set's macro reference key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
columns
Array of object (Common.DataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32)
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

Configuration.Api.Models.v1.StandardTestDataSetV2TestProfileResult
object (Configuration.Api.Models.v1.StandardTestDataSetV2TestProfileResult)
context
object (Configuration.Test.DataSetConfigProfileContext)
tableId
integer (int32)
columnId
integer (int32) | null
profileDefId
integer (int32)
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.StandardTestDataSetV2ControlScript
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlScript)
dataSourceId
integer (int32) | null

The data set's data source ID

columns
Array of object (Common.DataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32)
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

scriptText
string | null

The data set's script

metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.StandardTestDataSetV2ControlMacro
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlMacro)
dataSourceId
integer (int32) | null

The data set's data source ID

macroReferenceKey
string | null

The data set's macro reference key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
columns
Array of object (Common.DataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32)
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileResult
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileResult)
context
object (Configuration.Test.DataSetConfigProfileContext)
tableId
integer (int32)
columnId
integer (int32) | null
profileDefId
integer (int32)
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileAggregate
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileAggregate)
context
object (Configuration.Test.DataSetConfigProfileContext)
tableId
integer (int32)
columnId
integer (int32) | null
profileDefId
integer (int32)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
window
string
Valid values[ "Days", "Weeks", "Runs" ]
windowSize
integer (int32)

The size of the data set window

metaLinks
Array of object (Common.DataSetMetaLink)

The data set's meta links

object
level
string
Valid values[ "Table", "Column" ]
objectId
integer (int32)
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeValue
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

relativeTargetPeriod
string
Valid values[ "CurrentDate" ]
targetValue
string | null

The target value of the data set

Configuration.Api.Models.v1.StandardTestDataSetV2ControlStringValue
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlStringValue)
targetValue
string | null
ignoreWhitespace
boolean
Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericValue
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericValue)
targetValue
number (double)
Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericRange
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericRange)
minValue
number (double) | null
maxValue
number (double) | null
Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeRange
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

minRelativePeriod
string
Valid values[ "CurrentDate", "Month", "Week", "Day", "Hour", "Minute" ]
maxRelativePeriod
string
Valid values[ "CurrentDate", "Month", "Week", "Day", "Hour", "Minute" ]
minRelativeOffset
integer (int32) | null

The minimum relative offset of the data set

maxRelativeOffset
integer (int32) | null

The maximum relative offset of the data set

minAbsoluteValue
string | null

The minimum absolute value of the data set

maxAbsoluteValue
string | null

The maximum absolute value of the data set

Configuration.Api.Models.v1.StandardTestDataSetV2ControlTestAggregate
object (Configuration.Api.Models.v1.StandardTestDataSetV2ControlTestAggregate)
isScalar
boolean

Whether the data set is scalar

aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
window
string
Valid values[ "Days", "Weeks", "Runs" ]
windowSize
integer (int32)

The window size of the dataset

includePriorVersions
boolean

Whether the dataset includes prior versions

qualityScoreCalculation
string | null

Custom quality score calculation

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
treatValuesAsType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
403

Forbidden

404

Not Found

object
error
string | null